aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-macos-10.12-x86_64
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/qtci-macos-10.12-x86_64')
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/05-systemsetup.sh9
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/25-python2.sh4
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh4
3 files changed, 15 insertions, 2 deletions
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/05-systemsetup.sh b/coin/provisioning/qtci-macos-10.12-x86_64/05-systemsetup.sh
index 20430d6a..6420efe7 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/05-systemsetup.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/05-systemsetup.sh
@@ -49,6 +49,7 @@ ExceptionSetDelay=102
ExceptionVNC=103
ExceptionNTS=104
ExceptionDisableScreensaverPassword=105
+ExceptionDisableSleep=106
try
(
@@ -56,6 +57,9 @@ try
# For current session
defaults -currentHost write com.apple.screensaver idleTime 0 || throw $ExceptionDisableScreensaver
+ echo "Disable sleep"
+ sudo pmset sleep 0 displaysleep 0 || throw $ExceptionDisableSleep
+
# For session after a reboot
mkdir -p "$HOME/Library/LaunchAgents" || throw $ExceptionDisableScreensaver
(
@@ -126,5 +130,10 @@ catch || {
echo "Failed to disable requiring of password after screensaver is enabled."
exit 1;
;;
+ $ExceptionDisableSleep)
+ echo "Failed to disable sleep."
+ exit 1;
+ ;;
+
esac
}
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/25-python2.sh b/coin/provisioning/qtci-macos-10.12-x86_64/25-python2.sh
new file mode 100755
index 00000000..ef65edad
--- /dev/null
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/25-python2.sh
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+set -ex
+
+source "${BASH_SOURCE%/*}/../common/macos/python2.sh"
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh b/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh
index a039654a..d85e3c8e 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh
@@ -35,8 +35,8 @@
# This script installs QNX 7.
-# shellcheck source=../common/try_catch.sh
-source "${BASH_SOURCE%/*}/../common/try_catch.sh"
+# shellcheck source=../common/unix/try_catch.sh
+source "${BASH_SOURCE%/*}/../common/unix/try_catch.sh"
targetFolder="/opt/"
sourceFile="/net/ci-files01-hki.intra.qt.io/hdd/www/input/qnx/qnx700_mac.zip"